Serialized Form


Package org.displaytag.exception

Class org.displaytag.exception.BaseNestableJspTagException extends javax.servlet.jsp.JspTagException implements Serializable

Serialized Fields

sourceClass

java.lang.Class<T> sourceClass
Class where the exception has been generated.


nestedException

java.lang.Throwable nestedException
previous exception.

Class org.displaytag.exception.BaseNestableRuntimeException extends java.lang.RuntimeException implements Serializable

Serialized Fields

sourceClass

java.lang.Class<T> sourceClass
Class where the exception has been generated.


nestedException

java.lang.Throwable nestedException
previous exception.

Class org.displaytag.exception.DecoratorException extends BaseNestableJspTagException implements Serializable

serialVersionUID: 899149338534L

Class org.displaytag.exception.DecoratorInstantiationException extends BaseNestableJspTagException implements Serializable

serialVersionUID: 899149338534L

Class org.displaytag.exception.ExportException extends BaseNestableJspTagException implements Serializable

serialVersionUID: 899149338534L

Class org.displaytag.exception.FactoryInstantiationException extends BaseNestableRuntimeException implements Serializable

serialVersionUID: 899149338534L

Class org.displaytag.exception.InvalidTagAttributeValueException extends BaseNestableJspTagException implements Serializable

serialVersionUID: 899149338534L

Class org.displaytag.exception.MissingAttributeException extends BaseNestableJspTagException implements Serializable

serialVersionUID: 899149338534L

Serialized Fields

attributes

java.lang.String[] attributes
list of tag attributes.

Class org.displaytag.exception.ObjectLookupException extends BaseNestableJspTagException implements Serializable

serialVersionUID: 899149338534L

Class org.displaytag.exception.RuntimeLookupException extends java.lang.RuntimeException implements Serializable

serialVersionUID: 899149338534L

Class org.displaytag.exception.SeverityEnum extends org.apache.commons.lang.enums.Enum implements Serializable

serialVersionUID: 899149338534L

Class org.displaytag.exception.TablePropertiesLoadException extends BaseNestableRuntimeException implements Serializable

serialVersionUID: 899149338534L

Class org.displaytag.exception.TagStructureException extends BaseNestableJspTagException implements Serializable

serialVersionUID: 899149338534L

Class org.displaytag.exception.WrappedRuntimeException extends BaseNestableRuntimeException implements Serializable

serialVersionUID: 899149338534L


Package org.displaytag.properties

Class org.displaytag.properties.SortOrderEnum extends java.lang.Object implements Serializable

serialVersionUID: 42L

Serialized Fields

enumCode

int enumCode
Code; this is the primary key for these objects.


enumName

java.lang.String enumName
description.


Package org.displaytag.tags

Class org.displaytag.tags.CaptionTag extends javax.servlet.jsp.tagext.BodyTagSupport implements Serializable

serialVersionUID: 899149338534L

Serialized Fields

attributeMap

HtmlAttributeMap attributeMap
Map containing all the standard html attributes.


firstIteration

boolean firstIteration
is this the first iteration?


supportedMedia

java.util.List<E> supportedMedia
The media supported attribute.

Class org.displaytag.tags.ColumnTag extends javax.servlet.jsp.tagext.BodyTagSupport implements Serializable

serialVersionUID: 899149338534L

Serialized Fields

attributeMap

HtmlAttributeMap attributeMap
html pass-through attributes for cells.


headerAttributeMap

HtmlAttributeMap headerAttributeMap
html pass-through attributes for cell headers.


property

java.lang.String property
the property method that is called to retrieve the information to be displayed in this column. This method is called on the current object in the iteration for the given row. The property format is in typical struts format for properties (required)


title

java.lang.String title
the title displayed for this column. if this is omitted then the property name is used for the title of the column (optional).


nulls

boolean nulls
by default, null values don't appear in the list, by setting viewNulls to 'true', then null values will appear as "null" in the list (mostly useful for debugging) (optional).


sortable

boolean sortable
is the column sortable?


sortName

java.lang.String sortName
Name given to the server when sorting this column.


defaultorder

SortOrderEnum defaultorder
Defalt sort order for this column.


comparator

java.util.Comparator<T> comparator
The comparator to use when sorting this column.


autolink

boolean autolink
if set to true, then any email addresses and URLs found in the content of the column are automatically converted into a hypertext link.


escapeXml

boolean escapeXml
Automatically escape column content for html and xml media.


format

java.lang.String format
A MessageFormat patter that will be used to decorate objects in the column. Can be used as a "shortcut" for simple column decorations.


group

int group
the grouping level (starting at 1 and incrementing) of this column (indicates if successive contain the same values, then they should not be displayed). The level indicates that if a lower level no longer matches, then the matching for this higher level should start over as well. If this attribute is not included, then no grouping is performed. (optional)


href

Href href
if this attribute is provided, then the data that is shown for this column is wrapped inside a <a href> tag with the url provided through this attribute. Typically you would use this attribute along with one of the struts-like param attributes below to create a dynamic link so that each row creates a different URL based on the data that is being viewed. (optional)


paramId

java.lang.String paramId
The name of the request parameter that will be dynamically added to the generated href URL. The corresponding value is defined by the paramProperty and (optional) paramName attributes, optionally scoped by the paramScope attribute. (optional)


paramName

java.lang.String paramName
The name of a JSP bean that is a String containing the value for the request parameter named by paramId (if paramProperty is not specified), or a JSP bean whose property getter is called to return a String (if paramProperty is specified). The JSP bean is constrained to the bean scope specified by the paramScope property, if it is specified. If paramName is omitted, then it is assumed that the current object being iterated on is the target bean. (optional)


paramProperty

java.lang.String paramProperty
Deprecated. use Expressions in paramName
The name of a property of the bean specified by the paramName attribute (or the current object being iterated on if paramName is not provided), whose return value must be a String containing the value of the request parameter (named by the paramId attribute) that will be dynamically added to this href URL. (optional)


paramScope

java.lang.String paramScope
Deprecated. use Expressions in paramName
The scope within which to search for the bean specified by the paramName attribute. If not specified, all scopes are searched. If paramName is not provided, then the current object being iterated on is assumed to be the target bean. (optional)


maxLength

int maxLength
If this attribute is provided, then the column's displayed is limited to this number of characters. An elipse (...) is appended to the end if this column is linked, and the user can mouseover the elipse to get the full text. (optional)


maxWords

int maxWords
If this attribute is provided, then the column's displayed is limited to this number of words. An elipse (...) is appended to the end if this column is linked, and the user can mouseover the elipse to get the full text. (optional)


decorator

java.lang.String decorator
a class that should be used to "decorate" the underlying object being displayed. If a decorator is specified for the entire table, then this decorator will decorate that decorator. (optional)


alreadySorted

boolean alreadySorted
is the column already sorted?


supportedMedia

java.util.List<E> supportedMedia
The media supported attribute.


titleKey

java.lang.String titleKey
Property in a resource bundle to be used as the title for the column.


sortProperty

java.lang.String sortProperty
The name of the bean property if a decorator is used and sorting need to be still on on the property itself. Useful for displaying data with links but sorting on original value.


totaled

boolean totaled
Should the value of the column be summed? Requires that the value of the column be convertible to a Number.


value

java.lang.Object value
Static value for this cell, equivalent to column body.

Class org.displaytag.tags.HtmlTableTag extends TemplateTag implements Serializable

Serialized Fields

attributeMap

HtmlAttributeMap attributeMap
Map containing all the standard html attributes.

Class org.displaytag.tags.SetPropertyTag extends javax.servlet.jsp.tagext.BodyTagSupport implements Serializable

serialVersionUID: 899149338534L

Serialized Fields

name

java.lang.String name
property name.


value

java.lang.String value
property value.


firstIteration

boolean firstIteration
is this the first iteration?

Class org.displaytag.tags.TableFooterTag extends javax.servlet.jsp.tagext.BodyTagSupport implements Serializable

serialVersionUID: 899149338534L

Serialized Fields

supportedMedia

java.util.List<E> supportedMedia
The media supported attribute.


showAsLastRow

boolean showAsLastRow
Show the footer as a last table row.

Class org.displaytag.tags.TableTag extends HtmlTableTag implements Serializable

serialVersionUID: 899149338534L

Serialized Fields

list

java.lang.Object list
Object (collection, list) on which the table is based. This is not set directly using a tag attribute and can be cleaned.


listAttribute

java.lang.Object listAttribute
Object (collection, list) on which the table is based. Set directly using the "list" attribute or evaluated from expression.


rowNumber

int rowNumber
actual row number, updated during iteration.


name

java.lang.String name
name of the object to use for iteration. Can contain expressions.


length

int length
length of list to display.


decoratorName

java.lang.String decoratorName
table decorator class name.


pagesize

int pagesize
page size.


partialList

boolean partialList
list contains only viewable data.


export

boolean export
add export links.


offset

int offset
list offset.


size

java.lang.Object size
Integer containing total size of the data displaytag is paginating


sizeObjectName

java.lang.String sizeObjectName
Name of the Integer in some scope containing the size of the data displaytag is paginating


sortFullTable

java.lang.Boolean sortFullTable
sort the full list?


localSort

boolean localSort
are we doing any local sorting? (defaults to True)


requestUri

java.lang.String requestUri
Request uri.


dontAppendContext

boolean dontAppendContext
Prepend application context to generated links.


defaultSortedColumn

int defaultSortedColumn
the index of the column sorted by default.


defaultSortOrder

SortOrderEnum defaultSortOrder
the sorting order for the sorted column.


excludedParams

java.lang.String excludedParams
Name of parameter which should not be forwarded during sorting or pagination.


uid

java.lang.String uid
Unique table id.


varTotals

java.lang.String varTotals
The variable name to store totals in.


keepStatus

boolean keepStatus
Preserve the current page and sort.


clearStatus

boolean clearStatus
Clear the current page and sort status.


form

java.lang.String form
Use form post in paging/sorting links (javascript required).


tableModel

TableModel tableModel
table model - initialized in doStartTag().


currentRow

Row currentRow
current row.


listHelper

SmartListHelper listHelper
Used by various functions when the person wants to do paging - cleaned in doEndTag().


baseHref

Href baseHref
base href used for links - set in initParameters().


properties

TableProperties properties
table properties - set in doStartTag().


pageNumber

int pageNumber
page number - set in initParameters().


tableIterator

java.util.Iterator<E> tableIterator
Iterator on collection.


currentMediaType

MediaTypeEnum currentMediaType
export type - set in initParameters().


doAfterBodyExecuted

boolean doAfterBodyExecuted
daAfterBody() has been executed at least once?


paramEncoder

ParamEncoder paramEncoder
The param encoder used to generate unique parameter names. Initialized at the first use of encodeParameter().


footer

java.lang.String footer
Static footer added using the footer tag.


lastIteration

boolean lastIteration
Is this the last iteration we will be performing? We only output the footer on the last iteration.


caption

java.lang.String caption
Static caption added using the footer tag.


captionTag

CaptionTag captionTag
Child caption tag.


filteredRows

java.lang.Object filteredRows
Included row range. If no rows can be skipped the range is from 0 to Long.MAX_VALUE. Range check should be always done using containsLong(). This is an instance of org.apache.commons.lang.math.Range, but it's declared as Object to avoid runtime errors while Jasper tries to compile the page and commons lang 2.0 is not available. Commons lang version will be checked in the doStartTag() method in order to provide a more user friendly message.


paginatedList

PaginatedList paginatedList
The paginated list containing the external pagination and sort parameters The presence of this paginated list is what determines if external pagination and sorting is used or not.

Class org.displaytag.tags.TemplateTag extends javax.servlet.jsp.tagext.BodyTagSupport implements Serializable


Package org.displaytag.tags.el

Class org.displaytag.tags.el.ELCaptionTag extends CaptionTag implements Serializable

serialVersionUID: 899149338534L

Serialized Fields

classExpr

java.lang.String classExpr
Expression for the "class" tag attribute.


dirExpr

java.lang.String dirExpr
Expression for the "dir" tag attribute.


idExpr

java.lang.String idExpr
Expression for the "id" tag attribute.


langExpr

java.lang.String langExpr
Expression for the "lang" tag attribute.


mediaExpr

java.lang.String mediaExpr
Expression for the "media" tag attribute.


styleExpr

java.lang.String styleExpr
Expression for the "style" tag attribute.


titleExpr

java.lang.String titleExpr
Expression for the "title" tag attribute.

Class org.displaytag.tags.el.ELColumnTag extends ColumnTag implements Serializable

serialVersionUID: 899149338534L

Serialized Fields

autoLinkExpr

java.lang.String autoLinkExpr
Expression for the "autoLink" tag attribute.


escapeXmlExpr

java.lang.String escapeXmlExpr
Expression for the "escapeXml" tag attribute.


formatExpr

java.lang.String formatExpr
Expression for the "format" tag attribute.


classExpr

java.lang.String classExpr
Expression for the "class" tag attribute.


decoratorExpr

java.lang.String decoratorExpr
Expression for the "decorator" tag attribute.


groupExpr

java.lang.String groupExpr
Expression for the "group" tag attribute.


headerClassExpr

java.lang.String headerClassExpr
Expression for the "headerClass" tag attribute.


hrefExpr

java.lang.String hrefExpr
Expression for the "href" tag attribute.


maxLengthExpr

java.lang.String maxLengthExpr
Expression for the "maxLength" tag attribute.


maxWordsExpr

java.lang.String maxWordsExpr
Expression for the "maxWords" tag attribute.


mediaExpr

java.lang.String mediaExpr
Expression for the "media" tag attribute.


nullsExpr

java.lang.String nullsExpr
Expression for the "nulls" tag attribute.


paramIdExpr

java.lang.String paramIdExpr
Expression for the "paramId" tag attribute.


paramNameExpr

java.lang.String paramNameExpr
Expression for the "paramName" tag attribute.


paramPropertyExpr

java.lang.String paramPropertyExpr
Expression for the "paramProperty" tag attribute.


paramScopeExpr

java.lang.String paramScopeExpr
Expression for the "paramScope" tag attribute.


propertyExpr

java.lang.String propertyExpr
Expression for the "property" tag attribute.


titleExpr

java.lang.String titleExpr
Expression for the "title" tag attribute.


styleExpr

java.lang.String styleExpr
Expression for the "style" tag attribute.


urlExpr

java.lang.String urlExpr
Expression for the "url" tag attribute.


titleKeyExpr

java.lang.String titleKeyExpr
Expression for the "titleKey" tag attribute.


sortableExpr

java.lang.String sortableExpr
Expression for the "sortable" tag attribute.


sortNameExpr

java.lang.String sortNameExpr
Expression for the "sortName" tag attribute.


sortPropertyExpr

java.lang.String sortPropertyExpr
Expression for the "sortProperty" tag attribute.


defaultorderExpr

java.lang.String defaultorderExpr
Expression for the "defaultorder" tag attribute.


scopeExpr

java.lang.String scopeExpr
Expression for the "scope" tag attribute.


headerScopeExpr

java.lang.String headerScopeExpr
Expression for the "headerScope" tag attribute.


valueExpr

java.lang.String valueExpr
Expression for the "value" tag attribute.


comparatorExpr

java.lang.String comparatorExpr
Expression for the "comparator" tag attribute.

Class org.displaytag.tags.el.ELSetPropertyTag extends SetPropertyTag implements Serializable

serialVersionUID: 899149338534L

Serialized Fields

nameExpr

java.lang.String nameExpr
Expression for the "name" tag attribute.


valueExpr

java.lang.String valueExpr
Expression for the "value" tag attribute.

Class org.displaytag.tags.el.ELTableTag extends TableTag implements Serializable

serialVersionUID: 899149338534L

Serialized Fields

classExpr

java.lang.String classExpr
Expression for the "class" tag attribute.


cellpaddingExpr

java.lang.String cellpaddingExpr
Expression for the "cellpadding" tag attribute.


cellspacingExpr

java.lang.String cellspacingExpr
Expression for the "cellspacing" tag attribute.


decoratorExpr

java.lang.String decoratorExpr
Expression for the "decorator" tag attribute.


defaultsortExpr

java.lang.String defaultsortExpr
Expression for the "defaultsort" tag attribute.


defaultorderExpr

java.lang.String defaultorderExpr
Expression for the "defaultorder" tag attribute.


exportExpr

java.lang.String exportExpr
Expression for the "export" tag attribute.


frameExpr

java.lang.String frameExpr
Expression for the "frame" tag attribute.


lengthExpr

java.lang.String lengthExpr
Expression for the "length" tag attribute.


nameExpr

java.lang.String nameExpr
Expression for the "name" tag attribute.


offsetExpr

java.lang.String offsetExpr
Expression for the "offset" tag attribute.


pagesizeExpr

java.lang.String pagesizeExpr
Expression for the "pagesize" tag attribute.


partialListExpr

java.lang.String partialListExpr
Expression for the "partialList" tag attribute.


requestURIExpr

java.lang.String requestURIExpr
Expression for the "requestURI" tag attribute.


requestURIcontextExpr

java.lang.String requestURIcontextExpr
Expression for the "requestURIcontext" tag attribute.


rulesExpr

java.lang.String rulesExpr
Expression for the "rules" tag attribute.


sizeExpr

java.lang.String sizeExpr
Expression for the "size" tag attribute


sortExpr

java.lang.String sortExpr
Expression for the "sort" tag attribute.


styleExpr

java.lang.String styleExpr
Expression for the "style" tag attribute.


summaryExpr

java.lang.String summaryExpr
Expression for the "summary" tag attribute.


excludedParamsExpr

java.lang.String excludedParamsExpr
Expression for the "excludedParams" tag attribute.


idExpr

java.lang.String idExpr
Expression for the "id" tag attribute.


htmlIdExpr

java.lang.String htmlIdExpr
Expression for the "htmlId" tag attribute.


keepStatusExpr

java.lang.String keepStatusExpr
Expression for the "keepStatus" tag attribute.


clearStatusExpr

java.lang.String clearStatusExpr
Expression for the "clearStatus" tag attribute.


formExpr

java.lang.String formExpr
Expression for the "form" tag attribute.


Package org.displaytag.util

Class org.displaytag.util.DefaultHref extends java.lang.Object implements Serializable

serialVersionUID: 899149338534L

Serialized Fields

url

java.lang.String url
Base url for the href.


parameters

java.util.Map<K,V> parameters
Url parameters.


anchor

java.lang.String anchor
Anchor (to be added at the end of URL).

Class org.displaytag.util.HtmlAttributeMap extends java.util.HashMap implements Serializable

serialVersionUID: 899149338534L

Class org.displaytag.util.ParamEncoder extends java.lang.Object implements Serializable

serialVersionUID: 899149338534L

Serialized Fields

parameterIdentifier

java.lang.String parameterIdentifier
Unique identifier for a tag with the given id/name.

Class org.displaytag.util.PostHref extends java.lang.Object implements Serializable

serialVersionUID: 899149338534L

Serialized Fields

parent

Href parent

form

java.lang.String form



Copyright © 2002-2010 the Displaytag team. All Rights Reserved.